%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Text = PCL_Elm_Delete(Elm_list)

global fem_delete_element_nelem;
global fem_delete_element_idelems;
global fem_delete_element_nnon;
global fem_delete_element_idnoexist;
global fem_delete_element_deleted_ids;

Elm_list = unique(Elm_list);

Cell_array_size = 2;

if (fem_delete_element_nelem == 0)
    Cell_array_size = Cell_array_size + 1;
end

if (fem_delete_element_idelems == 0)
    Cell_array_size = Cell_array_size + 1;
end

if (fem_delete_element_nnon == 0)
    Cell_array_size = Cell_array_size + 1;
end

if (fem_delete_element_idnoexist == 0)
    Cell_array_size = Cell_array_size + 1;
end

if (fem_delete_element_deleted_ids == 0)
    Cell_array_size = Cell_array_size + 1;
end

Text = cell(Cell_array_size,1);

counter = 0;

if (fem_delete_element_nelem == 0)
    
    fem_delete_element_nelem = 1;
    counter = counter + 1;
    Text{counter} = 'INTEGER fem_delete_element_nelem';
    
end

if (fem_delete_element_idelems == 0)
    
    fem_delete_element_idelems = 1;
    counter = counter + 1;
    Text{counter} = 'INTEGER fem_delete_element_idelems(VIRTUAL)';
    
end

if (fem_delete_element_nnon == 0)
    
    fem_delete_element_nnon = 1;
    counter = counter + 1;
    Text{counter} = 'INTEGER fem_delete_element_nnon';
    
end

if (fem_delete_element_idnoexist == 0)
    
    fem_delete_element_idnoexist = 1;
    counter = counter + 1;
    Text{counter} = 'INTEGER fem_delete_element_idnoexist(VIRTUAL)';
    
end

Elm_list_sorted = sortrows(Elm_list,1);
Elm_list_string = ['Elm' sprintf(' %i', Elm_list_sorted)];

counter = counter + 1;
Text{counter} = ['fem_get_elem_ids( "' Elm_list_string '", fem_delete_element_nelem, fem_delete_element_idelems, fem_delete_element_nnon, fem_delete_element_idnoexist )'];

if (fem_delete_element_deleted_ids == 0)
    
    fem_delete_element_deleted_ids = 1;
    counter = counter + 1;
    Text{counter} = 'STRING fem_delete_element_deleted_ids[VIRTUAL]';
    
end

counter = counter + 1;
Text{counter} = ['fem_delete_element( "' Elm_list_string '", fem_delete_element_deleted_ids )'];
